Soumettre une demande d'enrôlement loyalty
curl --request POST \
--url https://egimgarsud.gimpayapp.com/api/v1/requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requestInfo": {
"exchangeId": "<string>",
"id": "<string>",
"recipient": "<string>",
"sender": "<string>",
"ts": "<string>"
},
"tokenRequestorId": "<string>",
"cipheredCardInformation": "<string>",
"enrollmentInformation": {
"merchant": {
"countryCode": "<string>",
"id": "<string>",
"name": "<string>",
"city": "<string>",
"categoryCode": "<string>"
}
}
}
'import requests
url = "https://egimgarsud.gimpayapp.com/api/v1/requests"
payload = {
"requestInfo": {
"exchangeId": "<string>",
"id": "<string>",
"recipient": "<string>",
"sender": "<string>",
"ts": "<string>"
},
"tokenRequestorId": "<string>",
"cipheredCardInformation": "<string>",
"enrollmentInformation": { "merchant": {
"countryCode": "<string>",
"id": "<string>",
"name": "<string>",
"city": "<string>",
"categoryCode": "<string>"
} }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestInfo: {
exchangeId: '<string>',
id: '<string>',
recipient: '<string>',
sender: '<string>',
ts: '<string>'
},
tokenRequestorId: '<string>',
cipheredCardInformation: '<string>',
enrollmentInformation: {
merchant: {
countryCode: '<string>',
id: '<string>',
name: '<string>',
city: '<string>',
categoryCode: '<string>'
}
}
})
};
fetch('https://egimgarsud.gimpayapp.com/api/v1/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"status": 123,
"timestamp": "2023-11-07T05:31:56Z",
"body": {
"id": 123,
"reference": "<string>",
"dateHeureCreation": "2023-11-07T05:31:56Z",
"commentaire": "<string>",
"raisonResiliation": "<string>",
"refContributeurMarchantInitiateur": "<string>",
"refUtilisateur": "<string>",
"motifRejetDemande": "<string>",
"montantRecharge": 123,
"refRechargeCompte": "<string>",
"urlFichierRecharge": "<string>"
}
}{
"message": "<string>",
"status": 123,
"timestamp": "2023-11-07T05:31:56Z",
"body": null
}{
"message": "<string>",
"status": 123,
"timestamp": "2023-11-07T05:31:56Z",
"body": null
}{
"message": "<string>",
"status": 123,
"timestamp": "2023-11-07T05:31:56Z",
"body": null
}Fidélité
Soumettre une demande d'enrôlement loyalty
Backend : LoyalityRequest (typo du contrat conservée). Tous les champs sont optionnels.
POST
/
api
/
v1
/
requests
Soumettre une demande d'enrôlement loyalty
Authorizations
Jeton émis par POST /api/v1/auth/token.
Body
application/json
⌘I